### Method

# RB Shell set_song_property

#### Declaration [src]

    gboolean
    rb_shell_set_song_property (
      RBShell* shell,
      const char* uri,
      const char* propname,
      const GValue* value,
      GError** error
    )

#### Description [src]

Attempts to set a property of a database entry identified by its URI. If the URI identifies a file and the property is one associated with a file metadata tag, the new value will be written to the file.

#### Parameters

`uri`

  Type: `const char*`

  The URI to modify.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`propname`

  Type: `const char*`

  The name of the property to modify.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`value`

  Type: `GValue`

  The new value to set.

  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if the property was set successfully.